Subject: Re: [PATCH] gitweb: provide a way to customize html headers

From: Jakub Narebski <[email-masked]>
Date: Mon, 17 Oct 2011 13:56:59 +0200

On Mon, 17 Oct 2011, Lénaïc Huard wrote:
> Jakub Narebski <[email-masked]> writes:
> 
> > Lénaïc Huard <[email-masked]> writes:
> 
> > > This allows web sites to add some specific html headers to the pages
> > > generated by gitweb.
> 
> > What do you need this for?
> 
> I want to decorate the gitweb pages with the “Google Analytics” tracking code.
> In order to do so, today, Google is recommending to add a <script> tag just 
> before the closing </head> tag.
> 
> https://www.google.com/support/analyticshelp/bin/answer.py?answer=1008080&hl=en

Hmmm... the modern recommendation from both Google and Yahoo is to put
script tags at the end of HTML, just before closing </body>, which you
can do nowadays with $site_footer / GITWEB_SITE_FOOTER.

But I guess that analytics script needs to be loaded earlier.

> > > The new variable $site_htmlheader can be set to a filename the content
> > > of which will be inserted at the end of the <head> section of each
> > > page generated by gitweb.
> 
> > Hmmm... I wonder if a file with html header fragment (which is quite
> > specific subset of HTML) is a best solution.
> 
> That’s true. The piece of code to be inserted in <head> is maybe small enough 
> so that we don’t need a file. Maybe $site_htmlheader could contain directly 
> the html snippet to be inserted in the pages?

I think it might be a better solution.

> > > ---
> > >  gitweb/INSTALL     |    3 +++
> 
> > Nb. there is patch in flight adding gitweb.conf(5) and gitweb(1)
> > manpages...
> 
> Ok. So, I’ll update them once a decision will be taken concerning this 
> $site_htmlheader.

You might have to wait a bit till patches containing gitweb.conf(5)
manpage are merged in, and rebase your patch to add information about
new config variable not to gitweb/INSTALL, but to Documentation/gitweb.conf.txt

-- 
Jakub Narebski
Poland